Package org.codehaus.groovy.classgen

# Interface ReturnAdder.ReturnStatementListener

Enclosing class:
  ReturnAdder

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ReturnAdder.ReturnStatementListener

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `returnStatementAdded(ReturnStatement returnStatement)`
  Implement this method in order to be notified whenever a return statement is generated.

- ## Method Details

  - ### returnStatementAdded

    void returnStatementAdded(ReturnStatement returnStatement)
    Implement this method in order to be notified whenever a return statement is generated.